ExamplesBulk Download
Generate report for Argentina EEZ with filter by structure_id = 313068
Example bulk report request for the Argentina EEZ, filtered to a single structure id.
Request body
| Field | Value | Description |
|---|---|---|
name | sar-vessel-detection-example-4-structureID | Name of the report |
dataset | public-fixed-infrastructure-data:latest | Fixed infrastructure dataset |
format | CSV | Output format of the report |
region.dataset | public-eez-areas | Existing region dataset |
region.id | 8466 | Argentina EEZ region id |
filters | ["structure_id = 313068"] | Filter by a specific structure ID |
Request
# Make sure to replace [TOKEN] with your API Access Token.
curl --location 'https://gateway.api.globalfishingwatch.org/v3/bulk-reports' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer TOKEN' \
--data '{
"name": "sar-vessel-detection-example-4-structureID",
"dataset": "public-fixed-infrastructure-data:latest",
"format": "CSV",
"region": {
"dataset": "public-eez-areas",
"id": 8466
},
"filters": ["structure_id = 313068"]
}'// Make sure to replace [TOKEN] with your API Access Token.
const res = await fetch('https://gateway.api.globalfishingwatch.org/v3/bulk-reports', {
method: 'POST',
headers: {
Authorization: 'Bearer [TOKEN]',
'Content-Type': 'application/json',
},
body: JSON.stringify({
name: 'sar-vessel-detection-example-4-structureID',
dataset: 'public-fixed-infrastructure-data:latest',
format: 'CSV',
region: {
dataset: 'public-eez-areas',
id: 8466,
},
filters: ['structure_id = 313068'],
}),
})
const data = await res.json()Response
{
"id": "9d666902-859c-4d39-8422-a215cfda3e8f",
"dataset": "public-fixed-infrastructure-data:v1.1",
"name": "fixed-infrastructure-example-4-structureID",
"filepath": "sar_fixed_infrastructure_202409.csv",
"filters": [
"structure_id = 313068"
],
"status": "pending",
"geom": {
"type": "dataset",
"dataset": "public-eez-areas",
"id": 8466
},
"createdAt": "2025-07-01T00:51:24.373Z",
"updatedAt": "2025-07-01T00:51:24.373Z",
"ownerId": 385,
"ownerType": "user-application",
"format": "CSV",
"fileSize": null
}Generate report for Argentina EEZ with filter by label_confidence = 'low'
Example bulk report request for the Argentina EEZ, filtered to low label confidence detections.
Generate report for Argentina EEZ with filters by structure_start_date and structure_end_date
Example bulk report request for the Argentina EEZ, filtered by structure start and end dates.